﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 2.6
## Using a switch statement to 
## display file size
#################################
$files = Get-ChildItem "C:\Temp" | Where-Object {!$_.PsIsContainer} 
foreach ($file in $files){
	switch ($file.Length){
		{$_ -gt 1MB}{Write-Host $file.Name, $file.Length -ForegroundColor Red; break}
		{$_ -gt 0.5MB}{Write-Host $file.Name, $file.Length -ForegroundColor Magenta; break}
		{$_ -ge 0.25MB}{Write-Host $file.Name, $file.Length -ForegroundColor Cyan; break}
		#default {Write-Host $file.Name, $file.Length}
	}
}