## PowerShell in Practice
## by Richard Siddaway
## Listing 3.4
## Searching for a user 
##   in Active Directory
#################################
$struser = "BOSCH Herbert"

$dom = [System.DirectoryServices.ActiveDirectory.Domain]::GetCurrentDomain()
$root = $dom.GetDirectoryEntry()

$search = [System.DirectoryServices.DirectorySearcher]$root
$search.Filter = "(cn=$struser)"
$result = $search.FindOne()

if ($result -ne $null)
{
  $user = $result.GetDirectoryEntry()
  $user
}
else {Write-Host $struser " Does not exist"}