﻿## PowerShell in Practice
## by Richard Siddaway
## script version of 
## Listing 4.5 but
## using TotalProcessorTime
#################################
Get-Process | Sort-Object CPU -Descending | Select -First 4 | 
Format-Table Name, @{Label="CPU(Min)"; Expression={"{0:F3}" -f ($_.TotalProcessorTime.TotalMinutes)}} -AutoSize
