﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.13
## Disabled user accounts
#################################
$dom = [System.DirectoryServices.ActiveDirectory.Domain]::GetCurrentDomain()
$root = $dom.GetDirectoryEntry()

$search = [System.DirectoryServices.DirectorySearcher]$root

## note the bitwise OR on the useraccountcontrol to test if the 
##  account disabled flag is set
$search.Filter = "(&(objectclass=user)(objectcategory=user)(useraccountcontrol:1.2.840.113556.1.4.803:=2))"

$result = $search.FindAll()

foreach ($user in $result)
{
  $user.properties.distinguishedname
}