﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.20
## Password expiry check
#################################
## max password age = 42 days 
$now = (Get-Date).ToFileTime()
$end = ((Get-Date).Adddays(-42)).ToFileTime()

$dom = [System.DirectoryServices.ActiveDirectory.Domain]::GetCurrentDomain()
$root = $dom.GetDirectoryEntry()

$filt = "(&(objectcategory=Person)""(objectclass=user)""(pwdlastset>=$end)(pwdlastset<=$now))"

$search = [System.DirectoryServices.DirectorySearcher]$root
$search.Filter = $filt

$results = $search.FindAll()
foreach ($result in $results){
    $result.properties.distinguishedname
}