﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.20a
## Password expiry check
## using cmdlets
#################################

## Microsoft cmdlets
$now = (Get-Date).ToFileTime()
$end = ((Get-Date).AddDays(-42)).ToFileTime()

$filt = "(&(objectcategory=Person)""(objectclass=user)(pwdlastset>=$end)""(pwdlastset<=$now))"
Get-ADUser -LDAPFilter $filt


## Quest cmdlets
$now = (Get-Date).ToFileTime()
$end = ((Get-Date).Adddays(-42)).ToFileTime()

$filt = "(&(objectcategory=Person)""(objectclass=user)(pwdlastset>=$end)""(pwdlastset<=$now))"
Get-QADUser -ldapFilter $filt