﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.22a
## Creating Active Directory group
## using cmdlets
###################################

## Microsoft cmdlet
New-ADGroup -Name "English Scientists" -SamAccountName EngSci `
-GroupCategory Security -GroupScope Global `
-DisplayName "English Scientists" `
-Path "OU=England,dc=manticore,dc=org" `
-Description "Members of this group are English Scientists"

## Quest cmdlet
New-QADGroup -Name "USPres" -SamAccountName "USPres" `
-GroupType "Security" -GroupScope "Universal" `
-ParentContainer "ou=All Groups,dc=manticore,dc=org"