﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.7
## Creating a single user
#################################
$first = "Joshua" 
$last = "TETLEY"
$userid = "jtetl"

$strusr = $last + " " + $first
$defaultPassword = "Password1"

$ou = [ADSI]"LDAP://OU=England,dc=manticore,dc=org"
$newuser = $ou.Create("User", "CN=$strusr")
$newuser.SetInfo()
$newuser.samaccountname = $userid
$newuser.givenName =  $first
$newuser.sn = $last
$newuser.displayName = $strusr
$newuser.userPrincipalName = $userid + "@manticore.org"
$newuser.SetInfo()

$newuser.Invoke("SetPassword", $defaultPassword)

$newuser.userAccountControl = 512
$newuser.SetInfo()

$newuser.pwdLastSet = 0
$newuser.SetInfo()