﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 2.8
## Using a foreach loop
#################################
$date = (Get-Date).Adddays(-10)
$files = Get-ChildItem "c:\Temp" | Where{!$_.PSIsContainer}
foreach($file in $files){
	if ($file.LastAccessTime -lt $date){
		Remove-Item -Path $file.FullName -WhatIf
	}
}