﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.12
## Searching for a user account
#################################
$struser = "BOSCH Herbert"

$dom = [System.DirectoryServices.ActiveDirectory.Domain]::GetCurrentDomain()
$root = $dom.GetDirectoryEntry()

$search = [System.DirectoryServices.DirectorySearcher]$root
$search.Filter = "(cn=$struser)"
$result = $search.FindOne()

if ($result -ne $null)
{
  $result.properties.distinguishedname
}
else {Write-Host $struser " Does not exist"}