﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.19
## Last logon times using
## Quest cmdlets
#################################
$dom = [System.DirectoryServices.ActiveDirectory.Domain]::GetCurrentDomain()
foreach ($dc in $dom.domaincontrollers) {
"`nDomain Controller:   $($dc.Name)"

$null = Connect-QADService -Service $dc.Name

Get-QADUser -Identity 'manticore\Richard' | 
Select-Object name, lastlogon, lastlogontimestamp | Format-List

Disconnect-QADService
}