﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.23a
## Changing Active Directory
## group membership 
## with cmdlets
#################################

## Microsoft
Get-ADUser -Filter {Title -eq "Scientist"} -SearchBase "OU=England,dc=manticore,dc=org" | 
foreach {Add-ADGroupMember -Identity EngSci -Members $($_.DistinguishedName) }

## Quest
Get-QADUser -SearchRoot "ou=USA,dc=manticore,dc=org" | 
ForEach-Object {
Add-QADGroupMember -Identity "CN=USPres,OU=All Groups,DC=Manticore,DC=org" -Member $_.distinguishedname
 }