﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.24
## Changing Active Directory 
## group scope
#################################
# set constants for group types
$global = 0x00000002
$domainlocal = 0x00000004
$security = 0x80000000
$universal = 0x00000008

$group = [ADSI]"LDAP://cn=USPres,ou=All Groups,dc=manticore,dc=org"

$grouptype = $security -bor $global
$group.GroupType = $grouptype
$group.SetInfo()