﻿## PowerShell in Practice
## by Richard Siddaway
##################################

## get group membership
##################################
$group = [ADSI]"LDAP://cn=UKPMs,ou=All Groups,dc=manticore,dc=org"
$group.member | Sort-Object


## Listing 5.25
## Get nested group membership
#################################
function resolve-group{
param ($group)
	foreach ($member in $group.member){
		$obj = [ADSI]("LDAP://" + $member)
		$global:members += $obj.distinguishedname
		if ($obj.objectclass[1] -eq 'group'){resolve-group $obj}
	}
}

$global:members = @()
$group = "LDAP://cn=International,ou=All Groups,dc=manticore,dc=org"
$group = [ADSI]$ldp
resolve-group $group
$global:members | Sort-Object -Unique