﻿## PowerShell in Practice
## by Richard Siddaway
#################################

## Get group membership
## with cmdlets
#################################
## Microsoft
Get-ADGroupMember -Identity EngSci | select Name, distinguishedname

## Quest
Get-QADGroupMember -Identity "cn=USPres,ou=All Groups,dc=manticore,dc=org"

## Listing 5.25a
## Get nested group membership
## with cmdlets
#################################

## Microsoft
Get-ADGroupMember -Identity international -Recursive |
select Name, DistinguishedName

## Quest
Get-QADGroupMember -Identity 'manticore\international' -Indirect