﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.26
## Get user’s group membership
#################################
function resolve-membership{
param ($group)
	Write-Host $group

	$group2 = [ADSI]("LDAP://" + $group)	
	if ($group2.memberof -ne $null){
		foreach ($group3 in $group2.memberof){resolve-membership $group3}
	}
}

$user = [ADSI]"LDAP://CN=WELLESLEY Arthur,OU=England,DC=Manticore,DC=org"

foreach ($group in $user.memberof){resolve-membership $group}
